Skip to content
Start here

DNS Record Details

client.dns.records.get(stringdnsRecordId, RecordGetParams { zone_id } params, RequestOptionsoptions?): RecordResponse
GET/zones/{zone_id}/dns_records/{dns_record_id}

DNS Record Details

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS ReadDNS Write
ParametersExpand Collapse
dnsRecordId: string

Identifier.

maxLength32
params: RecordGetParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
RecordResponse = A { id, created_on, meta, 4 more } | AAAA { id, created_on, meta, 4 more } | CNAME { id, created_on, meta, 4 more } | 18 more
One of the following:
A extends ARecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
AAAA extends AAAARecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
CNAME extends CNAMERecord { name, ttl, type, 5 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
MX extends MXRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
NS extends NSRecord { name, ttl, type, 5 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
Openpgpkey { id, comment, content, 12 more }
id: string

Identifier.

maxLength32
comment: string

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: string

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
name: string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

proxied: boolean

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Settings { ipv4_only, ipv6_only }

Settings for the DNS record.

ipv4_only?: boolean

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only?: boolean

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Array<RecordTags>

Custom tags for the DNS record. This field has no effect on DNS responses.

ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
number
1
type: "OPENPGPKEY"

Record type.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
PTR extends PTRRecord { name, ttl, type, 5 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
TXT extends TXTRecord { name, ttl, type, 5 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
CAA extends CAARecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
CERT extends CERTRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
DNSKEY extends DNSKEYRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
DS extends DSRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
HTTPS extends HTTPSRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
LOC extends LOCRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
NAPTR extends NAPTRRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
SMIMEA extends SMIMEARecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
SRV extends SRVRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
SSHFP extends SSHFPRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
SVCB extends SVCBRecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
TLSA extends TLSARecord { name, ttl, type, 6 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
URI extends URIRecord { name, ttl, type, 7 more } { id, created_on, meta, 4 more }
id: string

Identifier.

maxLength32
created_on: string

When the record was created.

formatdate-time
meta: unknown

Extra Cloudflare-specific information about the record.

modified_on: string

When the record was last modified.

formatdate-time
proxiable: boolean

Whether the record can be proxied by Cloudflare or not.

comment_modified_on?: string

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on?: string

When the record tags were last modified. Omitted if there are no tags.

formatdate-time

DNS Record Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const recordResponse = await client.dns.records.get('023e105f4ecef8ad9ca31a8372d0c353', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(recordResponse);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "example.com",
    "ttl": 3600,
    "type": "A",
    "comment": "Domain verification record",
    "content": "198.51.100.4",
    "private_routing": true,
    "proxied": true,
    "settings": {
      "ipv4_only": true,
      "ipv6_only": true
    },
    "tags": [
      "owner:dns-team"
    ],
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "meta": {},
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "proxiable": true,
    "comment_modified_on": "2024-01-01T05:20:00.12345Z",
    "tags_modified_on": "2025-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "name": "example.com",
    "ttl": 3600,
    "type": "A",
    "comment": "Domain verification record",
    "content": "198.51.100.4",
    "private_routing": true,
    "proxied": true,
    "settings": {
      "ipv4_only": true,
      "ipv6_only": true
    },
    "tags": [
      "owner:dns-team"
    ],
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "meta": {},
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "proxiable": true,
    "comment_modified_on": "2024-01-01T05:20:00.12345Z",
    "tags_modified_on": "2025-01-01T05:20:00.12345Z"
  }
}